Loading...
Searching...
No Matches
gx_jack::PortConnRing Class Reference

`#include <gx_jack.h>`

## Public Member Functions

void | push (const char *a, const char *b, bool conn)
bool | pop (PortConnData *)
void | set_send (bool v)
| PortConnRing ()
| ~PortConnRing ()

## Public Attributes

Glib::Dispatcher | new_data
Glib::Dispatcher | portchange

## Private Member Functions

void | set_overflow ()
void | clear_overflow ()
bool | is_overflow ()

## Private Attributes

jack_ringbuffer_t * | ring
bool | send_changes
int | overflow

## Detailed Description

Definition at line 82 of file gx_jack.h.

## Constructor & Destructor Documentation

## PortConnRing()

gx_jack::PortConnRing::PortConnRing | ( |  | ) |

## ~PortConnRing()

gx_jack::PortConnRing::~PortConnRing | ( |  | ) |

## Member Function Documentation

## clear_overflow()

void gx_jack::PortConnRing::clear_overflow | ( |  | ) |

inline private

Definition at line 88 of file gx_jack.h.

## is_overflow()

bool gx_jack::PortConnRing::is_overflow | ( |  | ) |

inline private

Definition at line 89 of file gx_jack.h.

## pop()

bool gx_jack::PortConnRing::pop | ( | PortConnData * |  | ) |

## push()

void gx_jack::PortConnRing::push | ( | const char * | a,
|  | const char * | b,
|  | bool | conn )

## set_overflow()

void gx_jack::PortConnRing::set_overflow | ( |  | ) |

inline private

Definition at line 87 of file gx_jack.h.

## set_send()

void gx_jack::PortConnRing::set_send | ( | bool | v | ) |

inline

Definition at line 95 of file gx_jack.h.

## Member Data Documentation

## new_data

Glib::Dispatcher gx_jack::PortConnRing::new_data

Definition at line 91 of file gx_jack.h.

## overflow

int gx_jack::PortConnRing::overflow

private

Definition at line 86 of file gx_jack.h.

Referenced by clear_overflow(), is_overflow(), and set_overflow().

## portchange

Glib::Dispatcher gx_jack::PortConnRing::portchange

Definition at line 92 of file gx_jack.h.

## ring

jack_ringbuffer_t* gx_jack::PortConnRing::ring

private

Definition at line 84 of file gx_jack.h.

## send_changes

bool gx_jack::PortConnRing::send_changes

private

Definition at line 85 of file gx_jack.h.

Referenced by set_send().

The documentation for this class was generated from the following file:

- src/headers/gx_jack.h